<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.4.2) on Mon May 16 11:42:17 EDT 2005 -->
<TITLE>
AbstractDataModelProvider
</TITLE>

<META NAME="keywords" CONTENT="org.eclipse.wst.common.frameworks.datamodel.AbstractDataModelProvider class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../apistyles.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="AbstractDataModelProvider";
}
</SCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractDataModelProvider.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelOperation.html" title="class in org.eclipse.wst.common.frameworks.datamodel"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/DataModelEvent.html" title="class in org.eclipse.wst.common.frameworks.datamodel"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractDataModelProvider.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<A NAME="main"></A>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.common.frameworks.datamodel</FONT>
<BR>
Class AbstractDataModelProvider</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by"><B>org.eclipse.wst.common.frameworks.datamodel.AbstractDataModelProvider</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProperties.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProperties</A>, <A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></DD>
</DL>
<HR>
<DL>
<DT>public abstract class <B>AbstractDataModelProvider</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></DL>

<P>
<p>
 A default implementation of <code>IDataModelProvider</code>.
 </p>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>1.0</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel"><CODE>IDataModelProvider</CODE></A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.wst.common.frameworks.datamodel.IDataModelProvider"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.eclipse.wst.common.frameworks.datamodel.<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#OK_STATUS">OK_STATUS</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#AbstractDataModelProvider()">AbstractDataModelProvider</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#dispose()">dispose</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of dispose().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModel.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModel</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getDataModel()">getDataModel</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 An implemenation of getDataModel().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelOperation.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelOperation</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getDefaultOperation()">getDefaultOperation</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of getDefaultOperation().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getDefaultProperty(java.lang.String)">getDefaultProperty</A></B>(java.lang.String&nbsp;propertyName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of getDefaultProperty().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getExtendedContext()">getExtendedContext</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of getExtendedContext().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getID()">getID</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of getName().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/DataModelPropertyDescriptor.html" title="class in org.eclipse.wst.common.frameworks.datamodel">DataModelPropertyDescriptor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getPropertyDescriptor(java.lang.String)">getPropertyDescriptor</A></B>(java.lang.String&nbsp;propertyName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of getPropertyDescriptor().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/DataModelPropertyDescriptor.html" title="class in org.eclipse.wst.common.frameworks.datamodel">DataModelPropertyDescriptor</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#getValidPropertyDescriptors(java.lang.String)">getValidPropertyDescriptors</A></B>(java.lang.String&nbsp;propertyName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of getValidPropertyDescriptors().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#init()">init</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implementation of init().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#isPropertyEnabled(java.lang.String)">isPropertyEnabled</A></B>(java.lang.String&nbsp;propertyName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of isPropertyEnabled().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#propertySet(java.lang.String, java.lang.Object)">propertySet</A></B>(java.lang.String&nbsp;propertyName,
            java.lang.Object&nbsp;propertyValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default impleneation of propertySet().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#setDataModel(org.eclipse.wst.common.frameworks.datamodel.IDataModel)">setDataModel</A></B>(<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModel.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModel</A>&nbsp;dataModel)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 An implemenation of setDataModel().</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;IStatus</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelProvider.html#validate(java.lang.String)">validate</A></B>(java.lang.String&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 A default implemenation of validate().</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.common.frameworks.datamodel.IDataModelProvider"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface org.eclipse.wst.common.frameworks.datamodel.<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getPropertyNames()">getPropertyNames</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="AbstractDataModelProvider()"><!-- --></A><H3>
AbstractDataModelProvider</H3>
<PRE>
public <B>AbstractDataModelProvider</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="init()"><!-- --></A><H3>
init</H3>
<PRE>
public void <B>init</B>()</PRE>
<DL>
<DD><p>
 A default implementation of init(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#init()">init</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#init()"><CODE>IDataModelProvider.init()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDataModel(org.eclipse.wst.common.frameworks.datamodel.IDataModel)"><!-- --></A><H3>
setDataModel</H3>
<PRE>
public final void <B>setDataModel</B>(<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModel.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModel</A>&nbsp;dataModel)</PRE>
<DL>
<DD></p>
 An implemenation of setDataModel().
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#setDataModel(org.eclipse.wst.common.frameworks.datamodel.IDataModel)">setDataModel</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#setDataModel(org.eclipse.wst.common.frameworks.datamodel.IDataModel)"><CODE>IDataModelProvider.setDataModel(IDataModel)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDataModel()"><!-- --></A><H3>
getDataModel</H3>
<PRE>
public final <A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModel.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModel</A> <B>getDataModel</B>()</PRE>
<DL>
<DD><p>
 An implemenation of getDataModel().
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getDataModel()">getDataModel</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the backing IDataModel<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getDataModel()"><CODE>IDataModelProvider.getDataModel()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="propertySet(java.lang.String, java.lang.Object)"><!-- --></A><H3>
propertySet</H3>
<PRE>
public boolean <B>propertySet</B>(java.lang.String&nbsp;propertyName,
                           java.lang.Object&nbsp;propertyValue)</PRE>
<DL>
<DD></p>
 A default impleneation of propertySet(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#propertySet(java.lang.String, java.lang.Object)">propertySet</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>propertyName</CODE> - the name of the property that has been set<DD><CODE>propertyValue</CODE> - the value the property has been set
<DT><B>Returns:</B><DD><code>true</code> to fire a VALUE_CHG DataModelEvent.<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#propertySet(java.lang.String, java.lang.Object)"><CODE>IDataModelProvider.propertySet(String, Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultProperty(java.lang.String)"><!-- --></A><H3>
getDefaultProperty</H3>
<PRE>
public java.lang.Object <B>getDefaultProperty</B>(java.lang.String&nbsp;propertyName)</PRE>
<DL>
<DD><p>
 A default implemenation of getDefaultProperty(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getDefaultProperty(java.lang.String)">getDefaultProperty</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>propertyName</CODE> - the specified property
<DT><B>Returns:</B><DD>the default property value<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getDefaultProperty(java.lang.String)"><CODE>IDataModelProvider.getDefaultProperty(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isPropertyEnabled(java.lang.String)"><!-- --></A><H3>
isPropertyEnabled</H3>
<PRE>
public boolean <B>isPropertyEnabled</B>(java.lang.String&nbsp;propertyName)</PRE>
<DL>
<DD><p>
 A default implemenation of isPropertyEnabled(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#isPropertyEnabled(java.lang.String)">isPropertyEnabled</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>propertyName</CODE> - the specified property
<DT><B>Returns:</B><DD><code>true</code> if the property is enabled, <code>false</code> otherwise.<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#isPropertyEnabled(java.lang.String)"><CODE>IDataModelProvider.isPropertyEnabled(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="validate(java.lang.String)"><!-- --></A><H3>
validate</H3>
<PRE>
public IStatus <B>validate</B>(java.lang.String&nbsp;name)</PRE>
<DL>
<DD><p>
 A default implemenation of validate(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#validate(java.lang.String)">validate</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the name of the property or nested IDataModel being validated.
<DT><B>Returns:</B><DD>an IStatus<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#validate(java.lang.String)"><CODE>IDataModelProvider.validate(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPropertyDescriptor(java.lang.String)"><!-- --></A><H3>
getPropertyDescriptor</H3>
<PRE>
public <A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/DataModelPropertyDescriptor.html" title="class in org.eclipse.wst.common.frameworks.datamodel">DataModelPropertyDescriptor</A> <B>getPropertyDescriptor</B>(java.lang.String&nbsp;propertyName)</PRE>
<DL>
<DD><p>
 A default implemenation of getPropertyDescriptor(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getPropertyDescriptor(java.lang.String)">getPropertyDescriptor</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>propertyName</CODE> - the specified property<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getPropertyDescriptor(java.lang.String)"><CODE>IDataModelProvider.getPropertyDescriptor(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getValidPropertyDescriptors(java.lang.String)"><!-- --></A><H3>
getValidPropertyDescriptors</H3>
<PRE>
public <A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/DataModelPropertyDescriptor.html" title="class in org.eclipse.wst.common.frameworks.datamodel">DataModelPropertyDescriptor</A>[] <B>getValidPropertyDescriptors</B>(java.lang.String&nbsp;propertyName)</PRE>
<DL>
<DD><p>
 A default implemenation of getValidPropertyDescriptors(). Subclasses should override as
 necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getValidPropertyDescriptors(java.lang.String)">getValidPropertyDescriptors</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>propertyName</CODE> - the specified property<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getValidPropertyDescriptors(java.lang.String)"><CODE>IDataModelProvider.getValidPropertyDescriptors(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getExtendedContext()"><!-- --></A><H3>
getExtendedContext</H3>
<PRE>
public java.util.List <B>getExtendedContext</B>()</PRE>
<DL>
<DD><p>
 A default implemenation of getExtendedContext(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getExtendedContext()">getExtendedContext</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getExtendedContext()"><CODE>IDataModelProvider.getExtendedContext()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultOperation()"><!-- --></A><H3>
getDefaultOperation</H3>
<PRE>
public <A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelOperation.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelOperation</A> <B>getDefaultOperation</B>()</PRE>
<DL>
<DD><p>
 A default implemenation of getDefaultOperation(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getDefaultOperation()">getDefaultOperation</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getDefaultOperation()"><CODE>IDataModelProvider.getDefaultOperation()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getID()"><!-- --></A><H3>
getID</H3>
<PRE>
public java.lang.String <B>getID</B>()</PRE>
<DL>
<DD><p>
 A default implemenation of getName(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getID()">getID</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#getID()"><CODE>IDataModelProvider.getID()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="dispose()"><!-- --></A><H3>
dispose</H3>
<PRE>
public void <B>dispose</B>()</PRE>
<DL>
<DD><p>
 A default implemenation of dispose(). Subclasses should override as necessary.
 </p>
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#dispose()">dispose</A></CODE> in interface <CODE><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html" title="interface in org.eclipse.wst.common.frameworks.datamodel">IDataModelProvider</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/IDataModelProvider.html#dispose()"><CODE>IDataModelProvider.dispose()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=3 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<A HREF="#main"><FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AbstractDataModelProvider.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../serialized-form.html"><FONT CLASS="NavBarFont1"><B>Serialized</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/AbstractDataModelOperation.html" title="class in org.eclipse.wst.common.frameworks.datamodel"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/eclipse/wst/common/frameworks/datamodel/DataModelEvent.html" title="class in org.eclipse.wst.common.frameworks.datamodel"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AbstractDataModelProvider.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>

</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
